#include "stm32f10x.h"
#include "gpio.h"
#include "servo.h"
#include "motoreducteur.h"
#include "rtc.h"
#include "remote.h"

void initImplementation(void);

int main (void)
{
	//MyGPIO_Struct_TypeDef led = {GPIOA,5,Out_PullUp};	//led
	//MyGPIO_Init(&led);																//test des leds pour ignorer les contraintes liées aux différents ports
	initImplementation();
	//MyRTC_GetTime(&sec, &min, &hour, &day, &date, &month, &year);
 	while(1){};
}

void initImplementation(void)
{
	MyServo_Init();
	MyServo_ChangeAngle(179);
	initRemote();
	testRemote();
	MyMotor_Init();
	MyMotor_ChangeSpeed(0);
	MyMotor_ChangeDirection(HORAIRE);
	MyRTC_Init();
	accelerometre();
}
